/*
* JBoss, the OpenSource J2EE webOS
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.test.jca.fs;

import javax.resource.spi.ManagedConnectionMetaData;
import javax.resource.ResourceException;

/**
 * @author Scott.Stark@jboss.org
 * @version $Revision: 1.1 $
 */
public class FSManagedConnectionMetaData implements ManagedConnectionMetaData
{
   /** Creates new FSManagedConnectionMetaData */
    public FSManagedConnectionMetaData()
    {
    }

    public String getEISProductName() throws ResourceException
    {
       return "Local File System Adaptor";
    }

    public String getEISProductVersion() throws ResourceException
    {
       return "JBoss 4.0.x JCA";
    }

    public int getMaxConnections() throws ResourceException
    {
       return 100;
    }

    public String getUserName() throws ResourceException
    {
       return "nobody";
    }

}
